class EdlEvent < Struct.new(
  :channel,
  :start_time,
  :timecode_in,
  :timecode_out,
  :duration,
  :source_file_name,
  :clip_name,
  :description,
  :matches,
  keyword_init: true
)

  def attributes
    to_h
  end

  def public_attributes
    attributes.except(:start_time, :matches)
  end
end
